Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.pull
Interface RunDataApplicationTool

    public interface RunDataApplicationTool

Tools in the Toolbox that need a Rundata Object on every refresh should implement this interface.

Version:
  $Id: RunDataApplicationTool.java 615328 2008-01-25 20:25:05Z tv $
Author:
  Henning P. Schmiedehausen

Method Summary
`void` | `init(Object data)` Initialize the application tool.
`void` | `refresh(RunData data)` Refresh the application tool.

Method Detail

### init

    void init(Object data)

  Initialize the application tool. The data parameter holds a different type depending on how the tool is being instantiated:
  - For global tools data will be null
  - For request tools data will be of type RunData
  - For session and authorized tools data will be of type User

  It is possible that session scope tools will be initialized with a null `User` object. This happens when the first request on a session happens to the be login action. The next request on the session will cause the session tool to be refreshed if `tools.per.request.refresh` is set to `true` in `TurbineResources.properties`. You will then be able to get a `User` object from the instance of `RunData.`

  Parameters:
    `data` - initialization data

### refresh

    void refresh(RunData data)

  Refresh the application tool. This is necessary for development work where you probably want the tool to refresh itself if it is using configuration information that is typically cached after initialization

  Parameters:
    `data` - The current RunData Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.